nelmio_cors:
    defaults:
        origin_regex: true
        allow_origin: ['*']  # En développement, restreindre en production
        allow_methods: ['GET', 'OPTIONS', 'POST', 'PUT', 'PATCH', 'DELETE']
        allow_headers: ['Content-Type', 'Authorization', 'X-Requested-With']
        expose_headers: ['Link']
        max_age: 3600
    paths:
        '^/auth':
            allow_origin: ['*']
            allow_headers: ['Content-Type', 'Authorization']
            allow_methods: ['POST', 'OPTIONS']
            max_age: 3600
        '^/api': ~